summaryrefslogtreecommitdiffstats
path: root/source/a/coreutils
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/a/coreutils
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/a/coreutils')
-rw-r--r--source/a/coreutils/DIR_COLORS6
-rw-r--r--source/a/coreutils/coreutils-dircolors.csh9
-rw-r--r--source/a/coreutils/coreutils-dircolors.sh12
-rwxr-xr-xsource/a/coreutils/coreutils.SlackBuild33
-rw-r--r--source/a/coreutils/slack-desc10
5 files changed, 29 insertions, 41 deletions
diff --git a/source/a/coreutils/DIR_COLORS b/source/a/coreutils/DIR_COLORS
index fd77f5630..eb821a4f6 100644
--- a/source/a/coreutils/DIR_COLORS
+++ b/source/a/coreutils/DIR_COLORS
@@ -116,6 +116,8 @@ EXEC 01;32 # This is for files with execute permission:
.dz 01;31
.gz 01;31
.jar 01;31
+.lha 01;31
+.lz 01;31
.lzh 01;31
.lzma 01;31
.rar 01;31
@@ -159,6 +161,8 @@ EXEC 01;32 # This is for files with execute permission:
.FLAC 01;35
.gif 01;35
.GIF 01;35
+.ico 01;35
+.ICO 01;35
.jpg 01;35
.JPG 01;35
.jpeg 01;35
@@ -197,6 +201,8 @@ EXEC 01;32 # This is for files with execute permission:
.ogx 01;35
.ogg 01;35
.OGG 01;35
+.opus 01;35
+.OPUS 01;35
.pbm 01;35
.pgm 01;35
.png 01;35
diff --git a/source/a/coreutils/coreutils-dircolors.csh b/source/a/coreutils/coreutils-dircolors.csh
index d7234c855..e29f18893 100644
--- a/source/a/coreutils/coreutils-dircolors.csh
+++ b/source/a/coreutils/coreutils-dircolors.csh
@@ -21,15 +21,8 @@ setenv LS_OPTIONS " $OPTIONS --color=$COLOR "
unsetenv COLOR
unsetenv OPTIONS
-# Set up aliases to use color ls by default. A few additional
-# aliases like 'dir', 'vdir', etc, are some ancient artifacts
-# from 1992 or so... possibly they should be disabled, but maybe
-# someone out there is actually using them? :-)
+# Set up alias to use color ls by default:
alias ls '/bin/ls $LS_OPTIONS';
-alias dir '/bin/ls $LS_OPTIONS --format=vertical';
-alias vdir '/bin/ls $LS_OPTIONS --format=long';
-alias d dir;
-alias v vdir;
unsetenv noglob;
# Set up the LS_COLORS environment:
diff --git a/source/a/coreutils/coreutils-dircolors.sh b/source/a/coreutils/coreutils-dircolors.sh
index fc848c6fc..d2c94f8fc 100644
--- a/source/a/coreutils/coreutils-dircolors.sh
+++ b/source/a/coreutils/coreutils-dircolors.sh
@@ -23,25 +23,15 @@ export LS_OPTIONS;
unset COLOR
unset OPTIONS
-# Set up aliases to use color ls by default. A few additional
-# aliases like 'dir', 'vdir', etc, are some ancient artifacts
-# from 1992 or so... possibly they should be disabled, but maybe
-# someone out there is actually using them? :-)
-# Assume shell aliases are supported.
+# Set up aliases to use color ls by default:
if [ "$SHELL" = "/bin/zsh" ] ; then
# By default, zsh doesn't split parameters into separate words
# when it encounters whitespace. The '=' flag will fix this.
# see zshexpn(1) man-page regarding SH_WORD_SPLIT.
alias ls='/bin/ls ${=LS_OPTIONS}'
- alias dir='/bin/ls ${=LS_OPTIONS} --format=vertical'
- alias vdir='/bin/ls ${=LS_OPTIONS} --format=long'
else
alias ls='/bin/ls $LS_OPTIONS'
- alias dir='/bin/ls $LS_OPTIONS --format=vertical'
- alias vdir='/bin/ls $LS_OPTIONS --format=long'
fi
-alias d=dir
-alias v=vdir
# Set up the LS_COLORS environment:
if [ -f $HOME/.dir_colors ]; then
diff --git a/source/a/coreutils/coreutils.SlackBuild b/source/a/coreutils/coreutils.SlackBuild
index a085e605f..e37d49cf5 100755
--- a/source/a/coreutils/coreutils.SlackBuild
+++ b/source/a/coreutils/coreutils.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2005-2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,6 +20,8 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=coreutils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
BUILD=${BUILD:-2}
@@ -36,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -65,19 +74,9 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-if [ -r $CWD/$PKGNAM-$VERSION.tar.gz ]; then
- tar xf $CWD/$PKGNAM-$VERSION.tar.gz || exit 1
-elif [ -r $CWD/$PKGNAM-$VERSION.tar.bz2 ]; then
- tar xf $CWD/$PKGNAM-$VERSION.tar.bz2 || exit 1
-elif [ -r $CWD/$PKGNAM-$VERSION.tar.xz ]; then
- tar xf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
-elif [ -r $CWD/$PKGNAM-$VERSION.tar.lzma ]; then
- tar xf $CWD/$PKGNAM-$VERSION.tar.lzma || exit 1
-else
- exit 1
-fi
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
-cd $PKGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -111,10 +110,10 @@ DEFAULT_POSIX2_VERSION=199209 \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--without-gmp \
--enable-install-program=arch \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/a/coreutils/slack-desc b/source/a/coreutils/slack-desc
index 57e562d34..842ed6dbf 100644
--- a/source/a/coreutils/slack-desc
+++ b/source/a/coreutils/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -10,8 +10,8 @@ coreutils: coreutils (core GNU utilities)
coreutils:
coreutils: These are the GNU core utilities, the basic command line programs
coreutils: such as 'mkdir', 'ls', and 'rm' that are needed for the system to
-coreutils: run. This package is the union of the GNU fileutils, sh-utils, and
-coreutils: textutils packages. Most of these programs have significant
+coreutils: run. This package is the union of the GNU fileutils, sh-utils, and
+coreutils: textutils packages. Most of these programs have significant
coreutils: advantages over their Unix counterparts, such as greater speed,
coreutils: additional options, and fewer arbitrary limits.
coreutils: